"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.server = void 0;

require("cross-fetch/polyfill");

require("url-search-params-polyfill");

var _path = _interopRequireDefault(require("path"));

var _express = _interopRequireDefault(require("express"));

var _expressHttpProxy = _interopRequireDefault(require("express-http-proxy"));

var _chalk = _interopRequireDefault(require("chalk"));

var _expressRequestToLambdaEvent = _interopRequireDefault(require("../utils/expressRequestToLambdaEvent"));

const server = ({
  root,
  port = process.env.PORT || 8888
}) => {
  const {
    handler
  } = require(_path.default.join(root, "build", "ssr.js"));

  const app = (0, _express.default)();
  app.use("/files", (0, _expressHttpProxy.default)(process.env.REACT_APP_FUNCTIONS_HOST, {
    proxyReqPathResolver: req => "/files" + req.url
  }));
  app.use("/function", (0, _expressHttpProxy.default)(process.env.REACT_APP_FUNCTIONS_HOST, {
    proxyReqPathResolver: req => "/function" + req.url
  }));
  app.use("/static", _express.default.static(_path.default.join(root, "build/static"), {
    index: false
  }));
  app.use(async (req, res) => {
    if (req.url.includes(".")) {
      res.status(200);
      res.send(`NOT AN API`);
      res.end();
      return;
    }

    const event = (0, _expressRequestToLambdaEvent.default)(req);
    const html = await handler(event);
    res.status(200);
    res.send(`<!DOCTYPE html>${html}`);
    res.end();
  });
  app.listen(port, () => {
    console.log(`\n${_chalk.default.blue(">")} SSR server listening on port ${_chalk.default.magenta(port)}...`);
  });
};

exports.server = server;
//# sourceMappingURL=ssrServer.js.map