"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _busboy = _interopRequireDefault(require("busboy"));

var _path = _interopRequireDefault(require("path"));

const UPLOADS_FOLDER = process.env.UPLOADS_FOLDER || ".files";

const save = ({
  headers
}, req) => {
  return new Promise(resolve => {
    const busboy = new _busboy.default({
      headers
    });
    let key = "";
    busboy.on("field", (fieldName, value) => {
      if (fieldName === "key") {
        key = value;
      }
    });
    busboy.on("file", (name, file) => {
      const folder = _path.default.resolve(UPLOADS_FOLDER);

      if (_fsExtra.default.existsSync(folder) === false) {
        _fsExtra.default.mkdirSync(folder);
      }

      const writerStream = _fsExtra.default.createWriteStream(_path.default.join(folder, "/", key), {
        encoding: "utf8"
      });

      file.pipe(writerStream);
    });
    busboy.on("finish", resolve);
    req.pipe(busboy);
  });
};

const handler = async (event, {
  req
}) => {
  await save(event, req);
  return {
    statusCode: 204,
    headers: {
      "Access-Control-Allow-Origin": "*"
    }
  };
};

exports.handler = handler;
//# sourceMappingURL=upload.js.map