"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createApi;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _apolloClient = _interopRequireDefault(require("apollo-client"));

var _apolloLink = require("apollo-link");

var _apolloLinkContext = require("apollo-link-context");

var _apolloCacheInmemory = require("apollo-cache-inmemory");

var _apolloLinkHttp = require("apollo-link-http");

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

function createApi(options) {
  const {
    token,
    uri
  } = options,
        config = (0, _objectWithoutProperties2.default)(options, ["token", "uri"]);

  if (!config.cache) {
    config.cache = new _apolloCacheInmemory.InMemoryCache();
  }

  config.link = _apolloLink.ApolloLink.from([(0, _apolloLinkContext.setContext)((req, context) => {
    return (0, _objectSpread2.default)({}, context, {
      headers: {
        Authorization: "Bearer " + token
      }
    });
  }), new _apolloLinkHttp.HttpLink({
    uri,
    fetch: _nodeFetch.default
  })]);
  return new _apolloClient.default(config);
}
//# sourceMappingURL=createApi.js.map